<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
	<title>Acceso Denegado</title>

	<link rel="stylesheet" href="../../assets/css/app.min.css">
	<link rel="stylesheet" href="../../assets/css/style.css">
	<link rel="stylesheet" href="../../assets/css/components.css">
	<link rel="stylesheet" href="../../assets/css/custom.css">
	
	<link rel="stylesheet" href="../../assets/bundles/lightgallery/dist/css/lightgallery.css">
	<link rel='shortcut icon' type='image/x-icon' href='assets/img/favicon.ico' />
</head>

<body>
	<div class="loader"></div>
	<br><br>
	<div class="container">
		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-8">
				<div class="card">
					<div class="card-body">
						<div class="empty-state" data-height="400">
							<div class="empty-state-icon bg-danger">
								<i class="fas fa-times"></i>
							</div>

							<h2>Acceso Denegado</h2>
							<p class="lead">
								Oye, no tienes permiso alguno para entrar a esta area del sistema, por favor regresa por donde veniste.
							</p>
						</div>
					</div>
				</div>

				<div class="text-center">
					Todos los derechos reservados. &copy; <?php echo date('Y'); ?> <div class="bullet"></div> Desarrollado por <a href="#">Consorft</a>
				</div>
			</div>
		</div>
	</div>

	<script src="../../assets/js/app.min.js"></script>
	<script src="../../assets/bundles/lightgallery/dist/js/lightgallery-all.js"></script>
	<script src="../../assets/js/page/light-gallery.js"></script>
	
	<script src="../../assets/js/scripts.js"></script>
	<script src="../../assets/js/custom.js"></script>
</body>

</html>